osg::Texture::TextureObject Class Reference

`#include <Texture>`

Inheritance diagram for osg::Texture::TextureObject:

## Public Member Functions

| TextureObject (Texture *texture, GLuint id, GLenum target)
| TextureObject (Texture *texture, GLuint id, const TextureProfile &profile)
| TextureObject (Texture *texture, GLuint id, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
bool | match (GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
void | bind ()
GLenum | id () const
GLenum | target () const
unsigned int | size () const
void | setTexture (Texture *texture)
Texture * | getTexture () const
void | setTimeStamp (double timestamp)
double | getTimeStamp () const
void | setAllocated (bool allocated=true)
void | setAllocated (GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
bool | isAllocated () const
bool | isReusable () const
void | release ()
Public Member Functions inherited from osg::GraphicsObject
| GraphicsObject ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

GLuint | _id
TextureProfile | _profile
TextureObjectSet * | _set
TextureObject * | _previous
TextureObject * | _next
Texture * | _texture
bool | _allocated
unsigned int | _frameLastUsed
double | _timeStamp

## Protected Member Functions

virtual | ~TextureObject ()
Protected Member Functions inherited from osg::GraphicsObject
virtual | ~GraphicsObject ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## TextureObject() [1/3]

osg::Texture::TextureObject::TextureObject | ( | Texture * | texture,
|  | GLuint | id,
|  | GLenum | target )

inline

References _allocated, _frameLastUsed, _id, _next, _previous, _profile, _set, _texture, _timeStamp, id(), target(), and osg::Texture::Texture().

## TextureObject() [2/3]

osg::Texture::TextureObject::TextureObject | ( | Texture * | texture,
|  | GLuint | id,
|  | const TextureProfile & | profile )

inline

References _allocated, _frameLastUsed, _id, _next, _previous, _profile, _set, _texture, _timeStamp, id(), and osg::Texture::Texture().

## TextureObject() [3/3]

osg::Texture::TextureObject::TextureObject | ( | Texture * | texture,
|  | GLuint | id,
|  | GLenum | target,
|  | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border )

inline

References _allocated, _frameLastUsed, _id, _next, _previous, _profile, _set, _texture, _timeStamp, id(), target(), and osg::Texture::Texture().

## ~TextureObject()

virtual osg::Texture::TextureObject::~TextureObject | ( |  | ) |

protected virtual

## Member Function Documentation

## bind()

void osg::Texture::TextureObject::bind | ( |  | ) |

## getTexture()

Texture * osg::Texture::TextureObject::getTexture | ( |  | ) | const

inline

References _texture, and osg::Texture::Texture().

## getTimeStamp()

double osg::Texture::TextureObject::getTimeStamp | ( |  | ) | const

inline

References _timeStamp.

## id()

GLenum osg::Texture::TextureObject::id | ( |  | ) | const

inline

References _id.

Referenced by TextureObject(), TextureObject(), and TextureObject().

## isAllocated()

bool osg::Texture::TextureObject::isAllocated | ( |  | ) | const

inline

References _allocated.

## isReusable()

bool osg::Texture::TextureObject::isReusable | ( |  | ) | const

inline

References _allocated, and _profile.

Referenced by match().

## match()

bool osg::Texture::TextureObject::match | ( | GLenum | target,
|  | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border )

inline

References _profile, isReusable(), and target().

## release()

void osg::Texture::TextureObject::release | ( |  | ) |

release TextureObject to the orphan list to be reused or deleted.

## setAllocated() [1/2]

void osg::Texture::TextureObject::setAllocated | ( | bool | allocated = true | ) |

inline

References _allocated.

## setAllocated() [2/2]

void osg::Texture::TextureObject::setAllocated | ( | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border )

## setTexture()

void osg::Texture::TextureObject::setTexture | ( | Texture * | texture | ) |

inline

References _texture, and osg::Texture::Texture().

## setTimeStamp()

void osg::Texture::TextureObject::setTimeStamp | ( | double | timestamp | ) |

inline

References _timeStamp.

## size()

unsigned int osg::Texture::TextureObject::size | ( |  | ) | const

inline

References _profile.

## target()

GLenum osg::Texture::TextureObject::target | ( |  | ) | const

inline

References _profile.

Referenced by match(), TextureObject(), and TextureObject().

## Member Data Documentation

## _allocated

bool osg::Texture::TextureObject::_allocated

Referenced by isAllocated(), isReusable(), setAllocated(), TextureObject(), TextureObject(), and TextureObject().

## _frameLastUsed

unsigned int osg::Texture::TextureObject::_frameLastUsed

Referenced by TextureObject(), TextureObject(), and TextureObject().

## _id

GLuint osg::Texture::TextureObject::_id

Referenced by id(), TextureObject(), TextureObject(), and TextureObject().

## _next

TextureObject* osg::Texture::TextureObject::_next

Referenced by TextureObject(), TextureObject(), and TextureObject().

## _previous

TextureObject* osg::Texture::TextureObject::_previous

Referenced by TextureObject(), TextureObject(), and TextureObject().

## _profile

TextureProfile osg::Texture::TextureObject::_profile

Referenced by isReusable(), match(), size(), target(), TextureObject(), TextureObject(), and TextureObject().

## _set

TextureObjectSet* osg::Texture::TextureObject::_set

Referenced by TextureObject(), TextureObject(), and TextureObject().

## _texture

Texture* osg::Texture::TextureObject::_texture

Referenced by getTexture(), setTexture(), TextureObject(), TextureObject(), and TextureObject().

## _timeStamp

double osg::Texture::TextureObject::_timeStamp

Referenced by getTimeStamp(), setTimeStamp(), TextureObject(), TextureObject(), and TextureObject().

The documentation for this class was generated from the following file:

- Texture